/*
	Twilight Prophecy 3D/Multimedia SDK
	A multi-platform development system for virtual reality and multimedia.

	Copyright (C) 1997-2001 by Twilight 3D Finland Oy Ltd.

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	Please read the file LICENSE.TXT for additional details.


	source:
		String example

	revision history:
		Jan/01/1999 - Jukka Liimatta, Thomas Mannfred Carlsson - initial revision
*/
#include <prcore/prcore.hpp>
#include <iostream>

using namespace prcore;
using namespace std;



int main()
{
	// concenation
	String filename = String("c:/twilight/") + String("test.bin");
	cout << "Filename: " << *filename << endl;

	// comparing
	String str1("Testword");
	String str2("Testword");
	String str3("Inglewood");

	if ( str1 == str2 )
		cout << *str1 << " equals " << *str2 << endl;

	if ( str1 != str3 )
		cout << *str1 << " does not equal " << *str3 << endl;

	// indexing
	cout << "The following characters are in: " << *str3 << endl;
	for ( int i=0; i<str3.GetLength(); i++ )
	{
		cout << "  " << str3[i] << endl;
	}

	return 0;
}
